apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{.AppName}}
  labels:
    app: {{.AppName}}
    repo-id: "{{.RepoID}}"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{.AppName}}
  template:
    metadata:
      labels:
        app: {{.AppName}}
        repo-id: "{{.RepoID}}"
    spec:
      containers:
      - name: {{.AppName}}
        image: {{.ImageName}}
        ports:
        - containerPort: 3000
        env:
        - name: PORT
          value: "3000"
        - name: NODE_ENV
          value: "production"
        resources:
          requests:
            memory: "64Mi"
            cpu: "50m"
          limits:
            memory: "256Mi"
            cpu: "200m"
---
apiVersion: v1
kind: Service
metadata:
  name: {{.AppName}}
  labels:
    app: {{.AppName}}
    repo-id: "{{.RepoID}}"
spec:
  selector:
    app: {{.AppName}}
  ports:
  - port: 80
    targetPort: 3000
    protocol: TCP
  type: ClusterIP